{
    "criteria": {
        "sgrave.interaction": {
            "trigger": "minecraft:player_interacted_with_entity",
            "conditions": {
                "entity": {
                    "type": "minecraft:interaction",
                    "nbt": {
                        "Tags": [
                            "sgrave.interaction"
                        ]
                    }
                }
            }
        },
        "sgrave.attack": {
            "trigger": "minecraft:player_hurt_entity",
            "conditions": {
                "entity": {
                    "type": "minecraft:interaction",
                    "nbt": {
                        "Tags": [
                            "sgrave.interaction"
                        ]
                    }
                }
            }
        }
    },
    "requirements": [
        [
            "sgrave.attack",
            "sgrave.interaction"
        ]
    ],
    "rewards": {
        "function": "snapgrave:response/claim"
    }
}